org.eclipse.cdt.core.dom.ast

## Interface IASTNodeLocation

All Known Subinterfaces:
  IASTCopyLocation, IASTFileLocation, IASTImageLocation, IASTMacroExpansion, IASTMacroExpansionLocation

    public interface IASTNodeLocation

A NodeLocation represents the source location of a given node. Most often this is a file it may be other fancy things like macro expansions.

### Field Summary

Fields
`static IASTNodeLocation[]` `EMPTY_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTFileLocation` `asFileLocation()` Return a file location that best maps into this location.
`int` `getNodeLength()` This is the length of the node within the file or macro-expansion.
`int` `getNodeOffset()` This is the offset within either the file or a macro-expansion.

### Field Detail

#### EMPTY_ARRAY

    static final IASTNodeLocation[] EMPTY_ARRAY

Since:
  5.4

### Method Detail

#### getNodeOffset

    int getNodeOffset()

This is the offset within either the file or a macro-expansion.

#### getNodeLength

    int getNodeLength()

This is the length of the node within the file or macro-expansion.

#### asFileLocation

    IASTFileLocation asFileLocation()

Return a file location that best maps into this location.